> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# 获取 Studio 项目

GET https://api.elevenlabs.io/v1/studio/projects/{project_id}

返回指定 Studio 项目的信息。与 `GET /v1/studio` 相比，此端点返回更详细的项目信息。

Reference: https://elevenlabs.io/docs/api-reference/studio/get-project

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `project_id` (string, required) — 要使用的项目 ID。可使用 [列出项目](/docs/api-reference/studio/get-projects) 端点列出所有可用项目。

### Query parameters

- `share_id` (string, optional, nullable) — 项目的共享 ID

## Response

### 200

成功响应

- `project_id` (string, required) — 项目的 ID。
- `name` (string, required) — 项目名称。
- `create_date_unix` (integer, required) — 项目创建日期。
- `created_by_user_id` (string, required, nullable) — 创建项目的用户 ID。
- `default_title_voice_ref_id` (string, required) — 默认标题项目音色引用 ID。
- `default_paragraph_voice_ref_id` (string, required) — 默认段落项目音色引用 ID。
- `default_model_id` (string, required) — 默认模型 ID。
- `can_be_downloaded` (boolean, required) — 项目是否可下载。
- `volume_normalization` (boolean, required) — 项目是否使用音量规范化。
- `state` (enum, required) — 项目状态。
  - Allowed values: `creating`, `default`, `converting`, `in_queue`
- `access_level` (enum, required) — 项目的访问级别。
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `quality_preset` (enum, required) — 项目质量预设级别。
  - Allowed values: `standard`, `high`, `ultra`, `ultra_lossless`
- `chapters` (list of ChapterResponseModel, required) — 项目章节及其元数据列表。
- `pronunciation_dictionary_versions` (list of PronunciationDictionaryVersionResponseModel, required) — 项目发音词典版本及其元数据列表。
- `pronunciation_dictionary_locators` (list of PronunciationDictionaryLocatorResponseModel, required) — 发音词典定位器列表。
- `apply_text_normalization` (enum, required) — 是否对项目应用文本规范化。
  - Allowed values: `auto`, `on`, `off`, `apply_english`
- `assets` (list of ProjectExtendedResponseModelAssetsItems, required) — 已上传资产列表，例如视频、音频。
- `voices` (list of ProjectVoiceResponseModel, required) — 已配置的项目音色列表。
- `quality_check_on` (boolean, required, deprecated) — 是否为此项目启用质量检查。
- `quality_check_on_when_bulk_convert` (boolean, required, deprecated) — 批量转换时是否为项目启用质量检查。
- `default_title_voice_id` (string, required, deprecated) — 默认标题音色 ID。
- `default_paragraph_voice_id` (string, required, deprecated) — 默认段落音色 ID。
- `last_conversion_date_unix` (integer, optional, nullable) — 项目上次转换日期。
- `title` (string, optional, nullable) — 项目标题。
- `author` (string, optional, nullable) — 项目作者。
- `description` (string, optional, nullable) — 项目描述。
- `genres` (list of string, optional, nullable) — 项目流派列表。
- `cover_image_url` (string, optional, nullable) — 项目封面图片 URL。
- `target_audience` (enum, optional, nullable) — 项目的目标受众。
  - Allowed values: `children`, `young adult`, `adult`, `all ages`
- `language` (string, optional, nullable) — 项目语言的双字母语言代码（ISO 639-1）。
- `content_type` (string, optional, nullable) — 项目的内容类型，例如“Novel”或“Short Story”
- `original_publication_date` (string, optional, nullable) — 项目的原始发布日期。
- `mature_content` (boolean, optional, nullable) — 项目是否包含成人内容。
- `isbn_number` (string, optional, nullable) — 项目的 ISBN 编号。
- `fiction` (enum, optional, nullable) — 项目是否为虚构内容。
  - Allowed values: `fiction`, `non-fiction`
- `creation_meta` (ProjectCreationMetaResponseModel, optional, nullable) — 项目的创建元数据。
- `source_type` (enum, optional, nullable) — 项目的源类型。
  - Allowed values: `blank`, `book`, `article`, `genfm`, `video`, `screenplay`
- `chapters_enabled` (boolean, optional, nullable, default: true) — 是否为项目启用章节。
- `captions_enabled` (boolean, optional, nullable, default: true) — 是否为项目启用字幕。
- `caption_style` (CaptionStyleModel, optional, nullable) — 应用于所有字幕的全局样式
- `caption_style_template_overrides` (map from string to CaptionStyleModel, optional, nullable) — 已对提供模板进行的样式更改
- `public_share_id` (string, optional, nullable) — 项目公开分享 ID。
- `aspect_ratio` (enum, optional, nullable) — 项目的宽高比。
  - Allowed values: `16:9`, `9:16`, `4:5`, `1:1`
- `agent_settings` (StudioAgentSettingsModel, optional, nullable) — 项目的智能体相关设置
- `experimental` (map from string to any, optional) — 项目的实验性功能。
- `base_voices` (list of VoiceResponseModel, optional, nullable) — 项目使用的音色列表。
- `publishing_read` (DirectPublishingReadResponseModel, optional, nullable) — 书籍已发布时的 ElevenReader 数据。

## Errors

### 422 Unprocessable Entity Error

验证错误。

- `detail` (list of ValidationError, optional)

## Types

### ChapterResponseModel

- `chapter_id` (string, required) — 章节 ID。
- `name` (string, required) — 章节名称。
- `can_be_downloaded` (boolean, required) — 章节是否可下载。
- `state` (enum, required) — 章节状态。
  - Allowed values: `default`, `converting`
- `last_conversion_date_unix` (integer, optional, nullable) — 章节上次转换日期。
- `conversion_progress` (double, optional, nullable) — 章节的转换进度。
- `has_video` (boolean, optional, nullable) — 章节是否包含视频。
- `has_visual_content` (boolean, optional, nullable) — 章节是否包含任何视觉内容（视频、图像或文本片段）。
- `voice_ids` (list of string, optional, nullable) — 章节使用的音色 ID 列表
- `statistics` (ChapterStatisticsResponseModel, optional, nullable) — 章节统计信息。
- `last_conversion_error` (string, optional, nullable) — 章节上次转换错误。

### PronunciationDictionaryVersionResponseModel

- `version_id` (string, required)
- `version_rules_num` (integer, required)
- `pronunciation_dictionary_id` (string, required)
- `dictionary_name` (string, required)
- `version_name` (string, required)
- `permission_on_resource` (enum, required, nullable)
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `created_by` (string, required)
- `creation_time_unix` (integer, required)
- `archived_time_unix` (integer, optional, nullable)

### PronunciationDictionaryLocatorResponseModel

- `pronunciation_dictionary_id` (string, required)
- `version_id` (string, required, nullable)

### ProjectExtendedResponseModelAssetsItems

- ProjectVideoResponseModel: ProjectVideoResponseModel
- ProjectExternalAudioResponseModel: ProjectExternalAudioResponseModel
- ProjectImageResponseModel: ProjectImageResponseModel

### ProjectVoiceResponseModel

- `project_voice_ref_id` (string, required)
- `voice_id` (string, required)
- `alias` (string, required)
- `stability` (double, required)
- `similarity_boost` (double, required)
- `style` (double, required)
- `is_pinned` (boolean, required)
- `use_speaker_boost` (boolean, required)
- `volume_gain` (double, required)
- `speed` (double, required)

### ProjectCreationMetaResponseModel

- `creation_progress` (double, required) — 项目创建进度。
- `status` (enum, required) — 项目创建操作的状态。
  - Allowed values: `draft`, `pending`, `creating`, `finished`, `failed`
- `type` (enum, required) — 项目创建操作类型。
  - Allowed values: `blank`, `generate_podcast`, `auto_assign_voices`, `dub_video`, `import_speech`

### CaptionStyleModel

- `template` (CaptionStyleTemplateModel, optional, nullable)
- `text_font` (string, optional, nullable)
- `text_scale` (double, optional, nullable)
- `text_color` (string, optional, nullable)
- `text_align` (enum, optional, nullable)
  - Allowed values: `start`, `center`, `end`
- `text_style` (enum, optional, nullable)
  - Allowed values: `normal`, `italic`
- `text_weight` (enum, optional, nullable)
  - Allowed values: `normal`, `bold`, `900`
- `text_transform` (enum, optional, nullable)
  - Allowed values: `none`, `uppercase`
- `text_blend_mode` (enum, optional, nullable)
  - Allowed values: `normal`, `difference`, `multiply`
- `text_shadow` (StudioTextStyleShadowModel, optional, nullable)
- `text_outline` (StudioTextStyleOutlineModel, optional, nullable)
- `background_enabled` (boolean, optional, nullable)
- `background_color` (string, optional, nullable)
- `background_opacity` (double, optional, nullable)
- `background_blur` (double, optional, nullable)
- `background_border_radius` (double, optional, nullable)
- `word_highlights_enabled` (boolean, optional, nullable)
- `word_highlights_color` (string, optional, nullable)
- `word_highlights_background_color` (string, optional, nullable)
- `word_highlights_opacity` (double, optional, nullable)
- `word_highlights_border_radius` (double, optional, nullable)
- `word_highlights_blur` (double, optional, nullable)
- `section_animation` (CaptionStyleSectionAnimationModel, optional, nullable)
- `word_animation` (CaptionStyleWordAnimationModel, optional, nullable)
- `character_animation` (CaptionStyleCharacterAnimationModel, optional, nullable)
- `cursor_enabled` (boolean, optional, nullable)
- `width_pct` (double, optional, nullable)
- `horizontal_placement` (CaptionStyleHorizontalPlacementModel, optional, nullable)
- `vertical_placement` (CaptionStyleVerticalPlacementModel, optional, nullable)
- `auto_break_enabled` (boolean, optional, nullable)
- `max_lines_per_section` (integer, optional, nullable)
- `max_words_per_line` (integer, optional, nullable)

### StudioAgentSettingsModel

- `tool_settings` (map from string to StudioAgentToolSettingsModel, optional)

### VoiceResponseModel

- `voice_id` (string, required) — 音色的 ID。
- `name` (string, optional) — 音色名称。
- `samples` (list of SampleResponseModel, optional, nullable) — 与该音色关联的样本列表。
- `category` (enum, optional) — 音色类别。
  - Allowed values: `generated`, `cloned`, `premade`, `professional`, `famous`, `high_quality`
- `fine_tuning` (FineTuningResponseModel, optional, nullable) — 音色的微调信息。
- `labels` (map from string to string, optional) — 与该音色关联的标签。
- `description` (string, optional, nullable) — 音色描述。
- `preview_url` (string, optional, nullable) — 音色的预览 URL。
- `available_for_tiers` (list of string, optional) — 该音色适用的套餐层级。
- `settings` (VoiceSettingsResponseModel, optional, nullable) — 音色设置。
- `sharing` (VoiceSharingResponseModel, optional, nullable) — 音色的共享信息。
- `high_quality_base_model_ids` (list of string, optional) — 高质量音色的基础模型 ID。
- `verified_languages` (list of VerifiedVoiceLanguageResponseModel, optional, nullable) — 该音色已验证的语言。
- `collection_ids` (list of string, optional, nullable) — 此音色所属集合的 ID。
- `safety_control` (enum, optional, nullable) — 音色的安全控制设置。
  - Allowed values: `NONE`, `BAN`, `CAPTCHA`, `ENTERPRISE_BAN`, `ENTERPRISE_CAPTCHA`
- `voice_verification` (VoiceVerificationResponseModel, optional, nullable) — 音色验证信息。
- `permission_on_resource` (string, optional, nullable) — 音色资源的权限。
- `is_owner` (boolean, optional, nullable) — 音色是否归用户所有。
- `is_legacy` (boolean, optional, default: false) — 音色是否为旧版。
- `is_mixed` (boolean, optional, default: false) — 音色是否已混音。
- `favorited_at_unix` (integer, optional, nullable) — 音色被标记为收藏时的 Unix 时间戳。
- `created_at_unix` (integer, optional, nullable) — 音色创建时间，以 Unix 时间表示。
- `is_bookmarked` (boolean, optional, nullable) — 当前用户是否已收藏该音色。仅适用于社区（从声音库复制的）音色。
- `recording_quality` (enum, optional, nullable) — 审核流程确定的音色录音质量。
  - Allowed values: `studio`, `good`, `ok`, `poor`, `bad`
- `labelling_status` (enum, optional, nullable) — 音色的审核流程状态。
  - Allowed values: `in_review`, `review_complete`
- `recording_quality_reason` (string, optional, nullable) — 审核流程确定的录音质量评估原因。

### DirectPublishingReadResponseModel

- `read_id` (string, required)
- `created_at_unix` (integer, required)
- `updated_at_unix` (integer, required)
- `word_count` (integer, required)
- `char_count` (integer, required)
- `chapters` (list of ReadMetadataChapterDBModel, required)
- `title` (string, optional, nullable)
- `author` (string, optional, nullable)
- `description` (string, optional, nullable)
- `article_image_url` (string, optional, nullable)
- `language` (string, optional, nullable)
- `locale` (string, optional, nullable)
- `display_mode` (enum, optional, nullable)
  - Allowed values: `text`, `audio-only`, `text-with-audio`
- `genre` (list of enum, optional, nullable)
  - Allowed values: `Fantasy`, `Romance`, `Science Fiction`, `Mystery and Thriller`, `Action and Adventure`, `Dystopia`, `Business and Economics`, `Technology`, `Christian & Inspirational`, `Horror`, `Biography and Memoir`, `Education and Learning`, `History`, `Children's Literature`, `Young Adult`, `Fairy Tales and Folklore`, `Fan Fiction`, `General Fiction`, `Health and Wellness`, `Historical Fiction`, `Humor`, `Literary Classics`, `Philosophy`, `Poetry`, `Politics and Government`, `Psychology`, `Science and Nature`, `Self-Help`, `Spirituality and Religion`, `Travel`, `True Crime`, `Other`
- `fiction` (string, optional, nullable)
- `content_type` (string, optional, nullable)
- `original_file_type` (string, optional, nullable)
- `target_audience` (enum, optional, nullable)
  - Allowed values: `children`, `young adult`, `adult`, `all ages`
- `mature_content` (boolean, optional, nullable)
- `safesearch_adult` (boolean, optional, nullable)
- `origin` (string, optional, nullable)
- `publication_date` (string, optional, nullable)
- `isbn` (string, optional, nullable)
- `ean` (string, optional, nullable)
- `legal_terms` (ReadLegalTerms, optional, nullable)
- `content_guidelines_terms` (ReadLegalTerms, optional, nullable)
- `last_updated_from_project_unix` (integer, optional, nullable)
- `publishing_project_id` (string, optional, nullable)
- `publishing_state` (string, optional, default: published)
- `publisher_profile_id` (string, optional, nullable)
- `quality_score` (integer, optional, nullable)
- `publisher` (string, optional, nullable)
- `copyright` (string, optional, nullable)
- `subtitle` (string, optional, nullable)
- `distribution_territories` (list of string, optional, nullable)
- `edition` (string, optional, nullable)
- `contributors` (list of Contributor, optional, nullable)
- `payout_type` (enum, optional, nullable)
  - Allowed values: `none`, `engagement_based`, `fixed_payout`
- `list_price` (double, optional, nullable)
- `currency` ("usd", optional, nullable)
- `original_audio_project_export_id` (string, optional, nullable)
- `original_audio_document_id` (string, optional, nullable)
- `series_id` (string, optional, nullable)
- `volume` (integer, optional, nullable)
- `published_at_unix` (integer, optional, nullable)
- `read_slug` (string, optional, nullable)
- `preview_audio_object` (PreviewAudioDBModel, optional, nullable)
- `sample_config` (SampleConfigDBModel, optional, nullable)
- `review` (ReviewResponseModel, optional, nullable)
- `voice_id` (string, optional, nullable)
- `can_use_assistant` (boolean, optional, default: true)
- `is_voice_changer_on` (boolean, optional, default: false)
- `restricted_to_user_email_domains` (list of string, optional, nullable)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ChapterStatisticsResponseModel

- `characters_unconverted` (integer, required) — 未转换的字符数。
- `characters_converted` (integer, required) — 已转换的字符数。
- `paragraphs_converted` (integer, required) — 已转换的段落数。
- `paragraphs_unconverted` (integer, required) — 未转换的段落数。
- `credits_needed_to_convert` (integer, optional, nullable) — 转换剩余段落所需的积分数。
- `voice_statistics` (list of VoiceStatisticsResponseModel, optional, nullable) — 按音色细分的字符数。

### ProjectVideoResponseModel

- `video_id` (string, required)
- `filename` (string, required)
- `signed_url` (string, required, nullable)
- `signed_preview_url` (string, required, nullable)
- `offset_ms` (integer, required)
- `duration_ms` (integer, required)
- `volume_gain_db` (double, required)
- `muted` (boolean, required)
- `width` (integer, required)
- `height` (integer, required)
- `codec` (string, required)
- `order` (string, required)
- `created_at_ms` (integer, required)
- `updated_at_ms` (integer, required)
- `thumbnail_interval_seconds` (double, required)
- `thumbnail_size` (list of integer, required)
- `thumbnail_sheets` (list of ProjectVideoThumbnailSheetResponseModel, required)
- `start_time_ms` (integer, required)
- `end_time_ms` (integer, required, nullable)
- `preview_job_progress` (double, required)
- `import_speech_progress` (double, required, nullable)
- `fade_in_ms` (integer, optional, default: 0)
- `fade_out_ms` (integer, optional, default: 0)
- `error` (string, optional, nullable)
- `asset_preview_signed_url` (string, optional, nullable)
- `source_video_id` (string, optional, nullable)
- `source_asset_id` (string, optional, nullable)
- `source_platform_asset_id` (string, optional, nullable)
- `pending_blocks_metadata` (PendingBlocksMetadataModel, optional, nullable)
- `pending_external_audios_metadata` (PendingExternalAudiosMetadataModel, optional, nullable)
- `speech_imported` (boolean, optional, default: false)
- `pending_task` (PendingClipTask, optional, nullable)
- `audio_track_ready` (boolean, optional, default: true)
- `export_format_ready` (boolean, optional, default: true)
- `current_snapshot_id` (string, optional, nullable)
- `source_context` (GenerationSourceContext, optional, nullable)
- `analysis` (VideoAnalysis, optional, nullable)
- `transcription` (AssetTranscription, optional, nullable)
- `type` ("video", optional, default: video)
- `canvas_placement` (CanvasPlacement, optional) — 定义资产在画布上的位置和变换。
- `animation` (ClipAnimation, optional)
- `playback_speed` (double, optional, default: 1)
- `opacity` (double, optional, default: 1)
- `track_id` (string, optional, default: v0)

### ProjectExternalAudioResponseModel

- `external_audio_id` (string, required)
- `filename` (string, required)
- `signed_url` (string, required, nullable)
- `offset_ms` (integer, required)
- `duration_ms` (integer, required)
- `start_time_ms` (integer, required)
- `end_time_ms` (integer, required, nullable)
- `order` (string, required)
- `track_id` (string, required)
- `created_at_ms` (integer, required)
- `updated_at_ms` (integer, required)
- `import_speech_progress` (double, required, nullable)
- `volume_gain_db` (double, optional, default: 0)
- `muted` (boolean, optional, default: false)
- `fade_in_ms` (integer, optional, default: 0)
- `fade_out_ms` (integer, optional, default: 0)
- `source_external_audio_id` (string, optional, nullable)
- `source_asset_id` (string, optional, nullable)
- `source_platform_asset_id` (string, optional, nullable)
- `pending_blocks_metadata` (PendingBlocksMetadataModel, optional, nullable)
- `pending_external_audios_metadata` (PendingExternalAudiosMetadataModel, optional, nullable)
- `speech_imported` (boolean, optional, default: false)
- `pending_task` (PendingClipTask, optional, nullable)
- `error` (string, optional, nullable)
- `current_snapshot_id` (string, optional, nullable)
- `source_context` (ProjectExternalAudioResponseModelSourceContext, optional, nullable)
- `analysis` (AudioAnalysis, optional, nullable)
- `transcription` (AssetTranscription, optional, nullable)
- `type` ("audio", optional, default: audio)

### ProjectImageResponseModel

- `image_id` (string, required)
- `filename` (string, required)
- `file_size_bytes` (integer, required)
- `width` (integer, required)
- `height` (integer, required)
- `offset_ms` (integer, required)
- `duration_ms` (integer, required)
- `order` (string, required)
- `canvas_placement` (CanvasPlacement, required) — 定义资产在画布上的位置和变换。
- `created_at_ms` (integer, required)
- `updated_at_ms` (integer, required)
- `signed_url` (string, optional, nullable)
- `thumbnail_signed_url` (string, optional, nullable)
- `type` ("image", optional, default: image)
- `source` ("upload", optional, default: upload)
- `track_id` (string, optional, default: v0)
- `animation` (ClipAnimation, optional)
- `opacity` (double, optional, default: 1)
- `current_snapshot_id` (string, optional, nullable)
- `source_asset_id` (string, optional, nullable)
- `source_platform_asset_id` (string, optional, nullable)
- `error` (string, optional, nullable)
- `pending_task` (PendingClipTask, optional, nullable)
- `analysis` (ImageAnalysis, optional, nullable)

### CaptionStyleTemplateModel

- `key` (string, required)
- `label` (string, required)
- `requires_high_fps` (boolean, optional, default: false)

### StudioTextStyleShadowModel

- `enabled` (boolean, required)
- `color` (string, required)
- `opacity` (double, required)
- `blur` (double, required)
- `offset_x` (double, required)
- `offset_y` (double, required)

### StudioTextStyleOutlineModel

- `enabled` (boolean, required)
- `color` (string, required)
- `opacity` (double, required)
- `width` (double, required)

### CaptionStyleSectionAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`

### CaptionStyleWordAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`

### CaptionStyleCharacterAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `typewriter`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`

### CaptionStyleHorizontalPlacementModel

- `align` (enum, required)
  - Allowed values: `left`, `center`, `right`
- `translate_pct` (double, required)

### CaptionStyleVerticalPlacementModel

- `align` (enum, required)
  - Allowed values: `top`, `center`, `bottom`
- `translate_pct` (double, required)

### StudioAgentToolSettingsModel

- `skip_confirmation` (boolean, optional, default: false)

### SampleResponseModel

- `sample_id` (string, optional) — 样本的 ID。
- `file_name` (string, optional) — 样本文件名称。
- `mime_type` (string, optional) — 样本文件的 MIME 类型。
- `size_bytes` (integer, optional) — 样本文件大小，单位为字节。
- `hash` (string, optional) — 示例文件的哈希值。
- `duration_secs` (double, optional, nullable)
- `remove_background_noise` (boolean, optional, nullable)
- `has_isolated_audio` (boolean, optional, nullable)
- `has_isolated_audio_preview` (boolean, optional, nullable)
- `speaker_separation` (SpeakerSeparationResponseModel, optional, nullable)
- `trim_start` (integer, optional, nullable)
- `trim_end` (integer, optional, nullable)

### FineTuningResponseModel

- `is_allowed_to_fine_tune` (boolean, optional) — 用户是否可对音色进行 Finetune。
- `state` (map from string to enum, optional) — 各模型微调流程的状态。
  - Allowed values: `not_started`, `queued`, `fine_tuning`, `fine_tuned`, `failed`, `delayed`
- `verification_failures` (list of string, optional) — Finetune 过程中的验证失败列表。
- `verification_attempts_count` (integer, optional) — 微调过程中的验证尝试次数。
- `manual_verification_requested` (boolean, optional) — 是否已为微调流程请求人工验证。
- `language` (string, optional, nullable) — 微调过程的语言。
- `progress` (map from string to double, optional, nullable) — 微调过程的进度。
- `message` (map from string to string, optional, nullable) — 微调过程的消息。
- `dataset_duration_seconds` (double, optional, nullable) — 数据集时长，单位为秒。
- `verification_attempts` (list of VerificationAttemptResponseModel, optional, nullable) — 验证尝试次数。
- `slice_ids` (list of string, optional, nullable) — 切片 ID 列表。
- `manual_verification` (ManualVerificationResponseModel, optional, nullable) — 微调过程的人工验证。
- `max_verification_attempts` (integer, optional, nullable) — 最大验证尝试次数。
- `next_max_verification_attempts_reset_unix_ms` (integer, optional, nullable) — 下一次最大验证尝试次数重置时间，以 Unix 毫秒表示。
- `finetuning_state` (any, optional)

### VoiceSettingsResponseModel

- `stability` (double, optional, nullable, default: 0.5) — 决定音色的稳定性以及每次生成之间的随机性。较低的值会带来更丰富的情感范围。较高的值可能使音色较为单调，情感有限。
- `use_speaker_boost` (boolean, optional, nullable, default: true) — 此设置可提高与原始说话者的相似度。使用后计算负载会略微增加，从而提高延迟。
- `similarity_boost` (double, optional, nullable, default: 0.75) — 决定 AI 在尝试复现原始音色时应遵循原始音色的程度。
- `style` (double, optional, nullable, default: 0) — 决定音色的风格夸张程度。此设置会尝试增强原始说话者的风格。设为非 0 值时会消耗额外计算资源，并可能增加延迟。
- `speed` (double, optional, nullable, default: 1) — 调整语速。值为 1.0 时使用默认语速；小于 1.0 会减慢语音，大于 1.0 会加快语音。
- `clone_strength` (double, optional, nullable) — 控制音色与专业语音克隆样本的匹配程度，范围为 0（低）到 1（高）。大多数情况下建议设为 0。仅当默认设置出现问题时才提高此值。仅适用于为所选 v4 模型微调的专业语音克隆。

### VoiceSharingResponseModel

- `status` (enum, optional) — 音色共享状态。
  - Allowed values: `enabled`, `disabled`, `copied`, `copied_disabled`
- `history_item_sample_id` (string, optional, nullable) — 历史记录项的样本 ID。
- `date_unix` (integer, optional) — 音色分享日期，以 Unix 时间表示。
- `whitelisted_emails` (list of string, optional) — 已加入白名单的邮箱列表。
- `public_owner_id` (string, optional) — 公开所有者的 ID。
- `original_voice_id` (string, optional) — 原始音色的 ID。
- `financial_rewards_enabled` (boolean, optional) — 是否启用财务奖励。
- `free_users_allowed` (boolean, optional) — 是否允许免费用户。
- `live_moderation_enabled` (boolean, optional) — 是否启用实时审核。
- `rate` (double, optional, nullable) — 音色共享费率。
- `fiat_rate` (double, optional, nullable) — 音色共享费率，以每 1000 积分的美元金额表示。
- `notice_period` (integer, optional) — 音色共享的通知期。
- `disable_at_unix` (integer, optional, nullable) — 音色分享日期，以 Unix 时间表示。
- `voice_mixing_allowed` (boolean, optional) — 是否允许音色混合。
- `featured` (boolean, optional) — 音色是否为精选音色。
- `category` (enum, optional) — 音色类别。
  - Allowed values: `generated`, `cloned`, `premade`, `professional`, `famous`, `high_quality`
- `reader_app_enabled` (boolean, optional, nullable) — Reader App 是否已启用。
- `image_url` (string, optional, nullable) — 音色图像的 URL。
- `ban_reason` (string, optional, nullable) — 音色被禁用的原因。
- `liked_by_count` (integer, optional) — 该音色的点赞数。
- `cloned_by_count` (integer, optional) — 该音色的克隆数量。
- `name` (string, optional) — 音色名称。
- `description` (string, optional, nullable) — 音色描述。
- `labels` (map from string to string, optional) — 音色标签。
- `review_status` (enum, optional) — 音色的审核状态。
  - Allowed values: `not_requested`, `pending`, `declined`, `declined_resubmittable`, `allowed`, `allowed_with_changes`
- `review_message` (string, optional, nullable) — 音色的审核消息。
- `enabled_in_library` (boolean, optional) — 音色是否已在声音库中启用。
- `instagram_username` (string, optional, nullable) — 音色的 Instagram 用户名。
- `twitter_username` (string, optional, nullable) — 该音色的 Twitter/X 用户名。
- `youtube_username` (string, optional, nullable) — 该音色的 YouTube 用户名。
- `tiktok_username` (string, optional, nullable) — 该音色的 TikTok 用户名。
- `moderation_check` (VoiceSharingModerationCheckResponseModel, optional, nullable) — 音色的审核检查。
- `reader_restricted_on` (list of ReaderResourceResponseModel, optional, nullable) — 音色在 Reader 中的限制状态。

### VerifiedVoiceLanguageResponseModel

- `language` (string, required) — 音色的语言。
- `model_id` (string, required) — 音色的模型 ID。
- `accent` (string, optional, nullable) — 音色的口音（如适用）。
- `locale` (string, optional, nullable) — 音色的区域设置（如适用）。
- `preview_url` (string, optional, nullable) — 音色的预览 URL（如适用）。

### VoiceVerificationResponseModel

- `requires_verification` (boolean, required) — 音色是否需要验证。
- `is_verified` (boolean, required) — 音色是否已验证。
- `verification_failures` (list of string, required) — 验证失败列表。
- `verification_attempts_count` (integer, required) — 验证尝试次数。
- `language` (string, optional, nullable) — 音色的语言。
- `verification_attempts` (list of VerificationAttemptResponseModel, optional, nullable) — 尝试验证的次数。

### ReadMetadataChapterDBModel

- `chapter_name` (string, required)
- `word_count` (integer, required)
- `char_count` (integer, required)
- `starting_char_offset` (integer, required)
- `has_parsed_html` (boolean, optional, default: false)
- `has_summary` (boolean, optional, default: false)
- `duration_seconds` (double, optional, nullable)
- `file_number` (string, optional, nullable)
- `is_fallback_name` (boolean, optional, default: false)
- `chapter_id` (string, optional, nullable)

### ReadLegalTerms

- `terms` (string, optional, nullable)
- `start_date` (string, optional, nullable)
- `end_date` (string, optional, nullable)

### Contributor

- `name` (string, required)
- `role` (string, required)
- `bio` (string, optional, nullable)
- `profile_id` (string, optional, nullable)

### PreviewAudioDBModel

- `audio_url` (string, required)
- `voice_id` (string, optional, nullable)
- `text` (string, optional, nullable)
- `hls_manifest_url` (string, optional, nullable)
- `dash_manifest_url` (string, optional, nullable)
- `is_auto_generated` (boolean, optional, nullable, default: false)
- `generated_at_unix` (integer, optional, nullable)

### SampleConfigDBModel

- `is_sample` (boolean, optional, default: false)
- `parent_id` (string, optional, nullable)
- `parent_type` (enum, optional, nullable)
  - Allowed values: `read`, `collection`
- `chapter_ids` (list of string, optional, nullable)

### ReviewResponseModel

- `review_status` (enum, required)
  - Allowed values: `approved`, `edits_required`, `rejected`
- `reviewed_at_unix` (integer, required)
- `reviewed_by` (string, optional, nullable)
- `reject_reasons` (list of enum, optional, nullable)
  - Allowed values: `lacks_structure`, `doesnt_open`, `not_literary_work`, `language_not_supported`, `too_short`, `duplicate`, `promotional`, `formatting_issues`, `low_quality`, `metadata_incomplete`, `metadata_inaccurate`, `typos`, `review_error`, `spam`, `legal_violation`, `content_policy`, `public_domain`, `other`
- `scores_breakdown` (map from string to integer, optional, nullable)
- `rejected_details` (string, optional, nullable)
- `explanation` (string, optional, nullable)

### ValidationErrorLocItems

- string
- integer

### VoiceStatisticsResponseModel

- `project_voice_ref_id` (string, required) — 项目音色引用 ID。
- `characters_unconverted` (integer, required) — 此音色未转换的字符数。
- `characters_converted` (integer, required) — 此音色已转换的字符数。
- `voice_id` (string, required, deprecated) — 音色 ID。
- `credits_needed_to_convert` (integer, optional, nullable) — 转换此音色剩余音频所需的积分数。

### ProjectVideoThumbnailSheetResponseModel

- `start_thumbnail_index` (integer, required)
- `thumbnail_count` (integer, required)
- `signed_cloud_url` (string, required)

### PendingBlocksMetadataModel

- `target_global_offset_ms` (integer, required, nullable)
- `block_ids` (list of string, required)

### PendingExternalAudiosMetadataModel

- `target_global_offset_ms` (integer, required, nullable)
- `external_audio_ids` (list of string, required)

### PendingClipTask

- `type` (enum, required)
  - Allowed values: `preprocessing`, `speech_import`, `dubbing`, `video_to_music`, `media_generation`
- `progress` (double, optional, default: 0)
- `started_at_ms` (integer, optional)
- `updated_at_ms` (integer, optional)
- `metadata` (map from string to any, optional)

### GenerationSourceContext

- `generation_id` (string, required)
- `model_id` (string, required)
- `source_type` ("generation", optional, default: generation)
- `prompt` (string, optional, nullable)
- `model_provider` (string, optional, nullable)
- `generation_session_id` (string, optional, nullable)
- `session_iteration_id` (string, optional, nullable)
- `model_parameters` (map from string to any, optional, nullable)
- `extend_video` (ReferenceVideo, optional, nullable)

### VideoAnalysis

- `status` (enum, required)
  - Allowed values: `processing`, `completed`, `failed`
- `data` (VideoAnalysisResult, required, nullable)
- `updated_at_ms` (integer, optional)

### AssetTranscription

- `status` (enum, required)
  - Allowed values: `processing`, `completed`, `failed`
- `data` (AssetTranscriptionData, required, nullable)
- `updated_at_ms` (integer, optional)

### CanvasPlacement

定义资产在画布上的位置和变换。

- `x_relative` (double, optional, default: 0.5)
- `y_relative` (double, optional, default: 0.5)
- `scale_x` (double, optional, default: 1)
- `scale_y` (double, optional, default: 1)
- `pivot_x` (double, optional, default: 0)
- `pivot_y` (double, optional, default: 0)
- `skew_x` (double, optional, default: 0)
- `skew_y` (double, optional, default: 0)
- `crop_top` (double, optional, default: 0)
- `crop_right` (double, optional, default: 0)
- `crop_bottom` (double, optional, default: 0)
- `crop_left` (double, optional, default: 0)
- `flip_x` (boolean, optional, default: false)
- `flip_y` (boolean, optional, default: false)

### ClipAnimation

- `enter_effect` (enum, optional, default: none)
  - Allowed values: `none`, `fade`, `float`, `gentle_float`, `zoom_in`, `drop`, `slide_left`, `slide_right`, `slide_up`, `slide_down`, `pop`, `bounce`, `spin`, `slide_bounce`
- `enter_duration_ms` (integer, optional, default: 0)
- `exit_effect` (enum, optional, default: none)
  - Allowed values: `none`, `fade`, `float`, `gentle_float`, `zoom_in`, `drop`, `slide_left`, `slide_right`, `slide_up`, `slide_down`, `pop`, `bounce`, `spin`, `slide_bounce`
- `exit_duration_ms` (integer, optional, default: 0)

### ProjectExternalAudioResponseModelSourceContext

- `source_type`: `music_explore_song` (MusicExploreSongSourceContext)
  - `music_explore_song_id` (string, required)
  - `bpm` (integer, optional, nullable)
  - `description` (string, optional, nullable)
  - `lyrics` (string, optional, nullable)
  - `title` (string, optional, nullable)
  - `vocals` (string, optional, nullable)
- `source_type`: `sfx` (SfxSourceContext)
  - `generation_config` (map from string to any, optional, nullable)
  - `sound_generation_history_item_id` (string, optional, nullable)
  - `text` (string, optional, nullable)
- `source_type`: `song` (SongSourceContext)
  - `song_id` (string, required)
  - `bpm` (integer, optional, nullable)
  - `chat_id` (string, optional, nullable)
  - `description` (string, optional, nullable)
  - `generation_settings` (map from string to any, optional, nullable)
  - `genres` (list of string, optional)
  - `is_explicit` (boolean, optional, nullable)
  - `languages` (list of string, optional)
  - `title` (string, optional, nullable)

### AudioAnalysis

- `status` (enum, required)
  - Allowed values: `processing`, `completed`, `failed`
- `data` (AudioAnalysisResult, required, nullable)
- `updated_at_ms` (integer, optional)

### ImageAnalysis

- `status` (enum, required)
  - Allowed values: `processing`, `completed`, `failed`
- `data` (ImageAnalysisResult, required, nullable)
- `updated_at_ms` (integer, optional)

### SpeakerSeparationResponseModel

- `voice_id` (string, required) — 音色的 ID。
- `sample_id` (string, required) — 样本的 ID。
- `status` (enum, required) — 说话人分离的状态。
  - Allowed values: `not_started`, `pending`, `completed`, `failed`
- `speakers` (map from string to SpeakerResponseModel, optional, nullable) — 样本中的说话人。
- `selected_speaker_ids` (list of string, optional, nullable) — 所选说话人的 ID。

### VerificationAttemptResponseModel

- `text` (string, required) — 验证尝试的文本。
- `date_unix` (integer, required) — 验证尝试日期，以 Unix 时间表示。
- `accepted` (boolean, required) — 验证尝试是否已通过。
- `similarity` (double, required) — 验证尝试的相似度。
- `levenshtein_distance` (double, required) — 验证尝试的 Levenshtein 距离。
- `recording` (RecordingResponseModel, optional, nullable) — 验证尝试的录音。

### ManualVerificationResponseModel

- `extra_text` (string, required) — 人工验证的额外文本。
- `request_time_unix` (integer, required) — 人工验证日期，以 Unix 时间表示。
- `files` (list of ManualVerificationFileResponseModel, required) — 人工验证的文件。

### VoiceSharingModerationCheckResponseModel

- `date_checked_unix` (integer, optional, nullable) — 内容审核检查日期，以 Unix 时间表示。
- `name_value` (string, optional, nullable) — 音色名称值。
- `name_check` (boolean, optional, nullable) — 名称检查是否成功。
- `description_value` (string, optional, nullable) — 音色的描述值。
- `description_check` (boolean, optional, nullable) — 描述检查是否成功。
- `sample_ids` (list of string, optional, nullable) — 样本 ID 列表。
- `sample_checks` (list of double, optional, nullable) — 样本检查列表。
- `captcha_ids` (list of string, optional, nullable) — captcha ID 列表。
- `captcha_checks` (list of double, optional, nullable) — CAPTCHA 验证值列表。

### ReaderResourceResponseModel

- `resource_type` (enum, required) — 资源类型。
  - Allowed values: `read`, `collection`
- `resource_id` (string, required) — 资源的 ID。

### ReferenceVideo

- `generation_id` (string, optional, nullable)
- `content_asset_id` (string, optional, nullable)
- `template_node_id` (string, optional, nullable)
- `studio_clip` (StudioClipLocator, optional, nullable) — Studio 项目中片段的坐标：studio_clip 引用的载荷。

### VideoAnalysisResult

- `title` (string, required)
- `description` (string, required)
- `content_type` (string, optional, nullable)
- `overall_pacing` (string, optional, nullable)
- `subjects` (list of VideoSubject, optional)
- `segments` (list of VideoSegment, optional)
- `key_moments` (list of VideoKeyMoment, optional)

### AssetTranscriptionData

- `language_code` (string, required)
- `text` (string, required)
- `words` (list of string, required)
- `word_start_times_ms` (list of integer, required)
- `word_end_times_ms` (list of integer, required)
- `word_speaker_ids` (list of string, required)

### AudioAnalysisResult

- `title` (string, required)
- `description` (string, required)
- `content_type` (string, optional, nullable)
- `overall_pacing` (string, optional, nullable)
- `segments` (list of AudioSegment, optional)
- `key_moments` (list of AudioKeyMoment, optional)

### ImageAnalysisResult

- `title` (string, required)
- `description` (string, required)
- `content_type` (string, optional, nullable)
- `mood_and_style` (string, optional, nullable)
- `composition_notes` (string, optional, nullable)
- `visible_text` (string, optional, nullable) — 图像上叠加或显示的可读文本（如有）。
- `subjects` (list of ImageSubject, optional)

### SpeakerResponseModel

- `speaker_id` (string, required) — 说话人的 ID。
- `duration_secs` (double, required) — 说话人片段时长，单位为秒。
- `utterances` (list of UtteranceResponseModel, optional, nullable) — 说话者的话语。

### RecordingResponseModel

- `recording_id` (string, required) — 录音的 ID。
- `mime_type` (string, required) — 录音的 MIME 类型。
- `size_bytes` (integer, required) — 录音大小，单位为字节。
- `upload_date_unix` (integer, required) — 录音日期，以 Unix 时间表示。
- `transcription` (string, required) — 录音的转录文本。

### ManualVerificationFileResponseModel

- `file_id` (string, required) — 文件 ID。
- `file_name` (string, required) — 文件名称。
- `mime_type` (string, required) — 文件的 MIME 类型。
- `size_bytes` (integer, required) — 文件大小，单位为字节。
- `upload_date_unix` (integer, required) — 文件日期，以 Unix 时间表示。

### StudioClipLocator

Studio 项目中片段的坐标：studio_clip 引用的载荷。

- `project_id` (string, required)
- `chapter_id` (string, required)
- `clip_type` (enum, required)
  - Allowed values: `video`, `image`, `external_audio`, `tts_node`
- `clip_id` (string, required)
- `block_id` (string, optional, nullable)
- `preview_url` (string, optional, nullable)

### VideoSubject

- `name` (string, required)
- `description` (string, required)

### VideoSegment

- `start_ms` (integer, required)
- `end_ms` (integer, required)
- `description` (string, required)
- `subjects` (list of string, optional)
- `shot_type` (string, optional, nullable)
- `camera_movement` (string, optional, nullable)
- `transition_in` (string, optional, nullable)
- `has_speech` (boolean, optional, default: false)
- `has_music` (boolean, optional, default: false)
- `pacing` (string, optional, nullable)

### VideoKeyMoment

- `timestamp_ms` (integer, required)
- `type` (string, required)
- `description` (string, required)

### AudioSegment

- `start_ms` (integer, required)
- `end_ms` (integer, required)
- `description` (string, required)
- `segment_type` (string, optional, nullable)
- `has_speech` (boolean, optional, default: false)
- `has_music` (boolean, optional, default: false)
- `pacing` (string, optional, nullable)

### AudioKeyMoment

- `timestamp_ms` (integer, required)
- `type` (string, required)
- `description` (string, required)

### ImageSubject

- `name` (string, required)
- `description` (string, required)

### UtteranceResponseModel

- `start` (double, required) — 话语的起始时间，单位为秒。
- `end` (double, required) — 话语结束时间，单位为秒。

## Examples

**Response**

```json
{
  "project_id": "aw1NgEzBg83R7vgmiJt6",
  "name": "My Project",
  "create_date_unix": 1714204800,
  "created_by_user_id": "Vbtgl3bRdj6lk79rYAgx",
  "default_title_voice_ref_id": "JBFqnCBsd6RMkjVDRZzb",
  "default_paragraph_voice_ref_id": "JBFqnCBsd6RMkjVDRZzb",
  "default_model_id": "eleven_multilingual_v2",
  "can_be_downloaded": true,
  "volume_normalization": true,
  "state": "default",
  "access_level": "viewer",
  "quality_preset": "standard",
  "chapters": [
    {
      "chapter_id": "aw1NgEzBg83R7vgmiJt6",
      "name": "Chapter 1",
      "can_be_downloaded": true,
      "state": "converting",
      "last_conversion_date_unix": 1714204800,
      "conversion_progress": 0.5,
      "statistics": {
        "characters_unconverted": 1000,
        "characters_converted": 500,
        "paragraphs_converted": 20,
        "paragraphs_unconverted": 10,
        "credits_needed_to_convert": 1000,
        "voice_statistics": [
          {
            "project_voice_ref_id": "voice123",
            "characters_unconverted": 600,
            "characters_converted": 300,
            "voice_id": "voice123"
          },
          {
            "project_voice_ref_id": "voice456",
            "characters_unconverted": 400,
            "characters_converted": 200,
            "voice_id": "voice456"
          }
        ]
      },
      "last_conversion_error": "Error message"
    }
  ],
  "pronunciation_dictionary_versions": [],
  "pronunciation_dictionary_locators": [],
  "apply_text_normalization": "auto",
  "assets": [],
  "voices": [],
  "quality_check_on": false,
  "quality_check_on_when_bulk_convert": false,
  "default_title_voice_id": "JBFqnCBsd6RMkjVDRZzb",
  "default_paragraph_voice_id": "JBFqnCBsd6RMkjVDRZzb",
  "last_conversion_date_unix": 1714204800,
  "title": "My Project",
  "author": "John Doe",
  "description": "This is a description of my project.",
  "genres": [
    "Novel",
    "Short Story"
  ],
  "cover_image_url": "https://example.com/cover.jpg",
  "target_audience": "young adult",
  "language": "en",
  "content_type": "Novel",
  "original_publication_date": "2025-01-01",
  "mature_content": false,
  "isbn_number": "978-90-274-3964-2",
  "fiction": "fiction",
  "creation_meta": {
    "creation_progress": 0.5,
    "status": "pending",
    "type": "blank"
  },
  "public_share_id": "abc123def456789",
  "experimental": {},
  "base_voices": []
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```